<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

class Anmeldedaten implements IAnmeldedaten
{
  
  private $erkannteTnDubletten = array();
  
  private $ePayInfo;
  
  private $firmaNichtZuordnen;
  
  private $kurs;
  
  private $hauptBelegung;
  
  private $weitereBelegungen;
  
  private $teilnehmerDaten;
  
  private $kinder;
  
  private $zahlungen;
  
  private $fortlGebuehren;
  
  private $gutscheinId;
  
  private $gutschein_code;

  
  private $gutschein_nr;

  
  private $gutschein_betrag;


  
  private $abwZahler;

  
  public $dmzFeatureNr;

  public function __construct()
  {
    $this->weitereBelegungen = array();
    $this->teilnehmerDaten = array();
    $this->kinder = array();
    $this->zahlungen = array();
    $this->fortlGebuehren = array();
  }

  
  public function getDublettenNummern()
  {
    return $this->erkannteTnDubletten;
  }

  
  public function getEPayInfo()
  {
    return $this->ePayInfo;
  }

  
  public function getFirmaNichtZuordnen()
  {
    return $this->firmaNichtZuordnen;
  }

  
  public function getKurs()
  {
    return $this->kurs;
  }

  
  public function getHauptBelegung()
  {
    return $this->hauptBelegung;
  }

  
  public function getWeitereBelegungen()
  {
    return $this->weitereBelegungen;
  }

  
  public function getWeitereTeilnehmer()
  {
    return $this->teilnehmerDaten;
  }

  
  public function getKinder()
  {
    return $this->kinder;
  }

  
  public function getZahlungen()
  {
    return $this->zahlungen;
  }

  
  public function getFortlGebuehren()
  {
    return $this->fortlGebuehren;
  }

  
  public function getGutscheinId()
  {
    return $this->gutscheinId;
  }

  
  public function getAbwZahler()
  {
    if (!empty($this->abwZahler)) {
      return $this->abwZahler;
    }

    return null;
  }

  public function getGutscheinNr()
  {
    return $this->gutschein_nr;
  }

  public function getGutscheinCode()
  {
    return $this->gutschein_code;
  }

  
  public function setDublettenNummern($pDublettenNummern)
  {
    $this->erkannteTnDubletten = $pDublettenNummern;
  }

  
  public function setEPayInfo($pEPayInfo)
  {
    $this->ePayInfo = $pEPayInfo;
  }

  
  public function setFirmaNichtZuordnen($pFirmaNichtZuordnen = true)
  {
    $this->firmaNichtZuordnen = $pFirmaNichtZuordnen;
  }

  
  public function setKurs($kurs)
  {
    $this->kurs = $kurs;
  }

  
  public function setHauptBelegung($hauptBelegung)
  {
    $this->hauptBelegung = $hauptBelegung;
  }

  
  public function setWeitereBelegungen($weitereBelegungen)
  {
    $this->weitereBelegungen = $weitereBelegungen;
  }

  
  public function setWeitereTeilnehmer($teilnehmerDaten)
  {
    $this->teilnehmerDaten = $teilnehmerDaten;
  }

  
  public function setKinder($kinder)
  {
    $this->kinder = $kinder;
  }

  
  public function setZahlungen($zahlungen)
  {
    $this->zahlungen = $zahlungen;
  }

  
  public function setFortlGebuehren($fortlGebuehren)
  {
    $this->fortlGebuehren = $fortlGebuehren;
  }

  
  public function setGutscheinId($pGutscheinId)
  {
    $this->gutscheinId = $pGutscheinId;
  }

  public function setGutscheinCode($gutscheinCode)
  {
    $this->gutschein_code = $gutscheinCode;
  }

  public function setGutscheinNr($gutscheinNr)
  {
    $this->gutschein_nr = $gutscheinNr;
  }

  
  public function setAbwZahler($pAbwZahler)
  {
    $this->abwZahler = $pAbwZahler;
  }

  public function setDmzFeatureNr($pDmzFeatureNr)
  {
    $this->dmzFeatureNr = $pDmzFeatureNr;
  }

  public function getDmzFeatureNr()
  {
    return $this->dmzFeatureNr;
  }
}